# Sources

## Transaction Sets

- http://www.x12.org/x12-work-products/x12-transaction-sets.cfm

### Functional Groups

- https://www.jobisez.com/edi/documents/
- https://www.jobisez.com/edi/documents/set-id.aspx?transaction={100-999}
- https://www.edifactory.de/x12/transaction-sets

### Categories

- https://www.edifactory.de/x12/transaction-sets

## Segments

- https://www.jobisez.com/edi/documents/
- https://www.jobisez.com/edi/documents/segments-elements.aspx?set-id={100-999}
- https://www.edifactory.de/x12/transaction-sets

## Data Element Definitions

- http://ecomgx17.ecomtoday.com/edi/EDI_4009/
- http://ecomgx17.ecomtoday.com/edi/EDI_Element_Definitions.htm

### Missing

#### Missing Element Definitions:

- 427 - Unit Price Difference
- 475
- 484
- 706	Entity Relationship Code	ID	2	2	
- 749	Supplementary Information Qualifier	

#### Incomplete Element Definitions:

- 167

#### Complicated Elements:

- 1434
- 347

#### Missing Code Lists:

- 4 (Air Carrier Code)
    - https://en.wikipedia.org/wiki/List_of_airline_codes
- 5 (Airport Code)
    - https://en.wikipedia.org/wiki/List_of_airports_by_IATA_and_ICAO_code
- 24 (Equipment Type)
- 35 (Disposition Code)
- 116 (Postal Code)
    - http://download.geonames.org/export/zip/
    - https://github.com/ankane/postjoy
    - https://github.com/monterail/zip-codes
- 140 (Standard Carrier Alpha Code)
- 141 (Schedule B Code)
- 154 (Standard Point Location Code)
- 168 (Tariff Agency Code)
- 177 (Intermodal Service Code)
- 196 (Mortgagor Response Code)
- 215 (Hazardous Classification)
- 218 (Hazardous Placard Notation)
- 222 (Hazardous Endorsement)
- 230 (Subsidiary Classification)
- 254 (Packing Group Code)
- 264 (Census Merchandise Type Code)
- 265 (Census Export License Identifier Code)
- 268 (Census Container Code)
- 269 (Census Special Identifier Code)
- 277 (UN/NA Identification Code)
- 296 (Intermediate Switch Carrier)
- 298 (Origin EDI Carrier Code)
- 301 (Car Type Code)
- 333 (Terms Basis Date Code)
- 348 (Jurisdiction Code)
- 464 (Container Terms Code)
- 498 (Condition Code)
- 540 (Damage Type Code)
- 541 (Damage Severity Code)
- 556 (Damage Area Code)
- 573 (Freight Station Accounting Code)
- 581 (Customs Entry Type Code)
- 597 (Vessel Code)
- 638 (Rule 260 Junction Code)
- 702 (Financial Transaction Code)
- 712 (Category Reference Code)
- 721 (Segment ID Code)
- 746 (Protective Service Rule Code)
- 758 (Hazardous Mnemonic Code)
- 781 (Statement Format Code)
- 806 (EPA Waste Stream Number Code)
- 807 (Waste Characteristics Code)
- 819 (Language Code)
- 833 (Automotive Manufacturers Code)
- 860 (D-U-N-S Number)
- 874 (Space Management Reference Code)
- 876 (Alternate Tiers per Pallet)
- 899 (Unload Terminal Elevator Code)
- 930 (Regulatory Agency Code)
- 1003 (Account Type Code)
- 1011 (Association of American Railroads (AAR) Pool Code)
- 1014 (Car Type Group Code)
- 1034 (Claim Adjustment Reason Code)
- 1049 (Tax Payment Type Code)
- 1072 (Rounding System Code)
- 1096 (County Designator)
- 1126 (Academic Degree Code)
- 1148 (Academic Grade Qualifier)
- 1149 (Occupation Code)
- 1155 (Educational Test or Requirement Code)
- 1158 (Subtest Code)
- 1245 (Vehicle Identification Number (VIN) Plant Code)
- 1252 (Health Screening Type Code)
- 1253 (Immunization Type Code)
- 1255 (Disease Condition Type Code)
- 1256 (Medical Treatment Type Code)
- 1276 (Machine Separable Indicator Code)
- 1314 (Admission Source Code)
- 1315 (Admission Type Code)
- 1318 (Approval Code)
- 1325 (Claim Frequency Type Code)
- 1334 (Health Care Professional Shortage Area Code)
- 1352 (Patient Status Code)
- 1354 (Diagnosis Related Group (DRG) Code)
- 1397 (Inquiry Response Code)
- 1415 (Specimen Kit Type Code)
- 1460 (Part of Body Code)
- 1482 (Mechanical Car Code)
- 1490 (Association of American Railroads Car Grade Code)
- 1494 (Transportation Condition Code)
- 1654 (Longitude Code)
- 1655 (Latitude Code)
- 1661 (Source Code)
- 1684 (Attendance Type Code)
- 1688 (Deduction Type Code)
- I38 (Service Request Handler ID Qualifier)

- Hazmat
  - http://www.unece.org/trans/danger/publi/unrec/rev14/14files_e.html
