module Eddy
  module Elements
    # ### Element Summary:
    #
    # - Id: I08
    # - Name: Interchange Date
    # - Type: DT (YYMMDD)
    # - Min/Max: 6/6
    # - Description: Date of the interchange
    #
    # ### Notes:
    #
    # This element's value will be generated by `Eddy`.
    # No call to `value=` is needed.
    class I08 < Eddy::Models::Element::DT
      # @param val [Time]
      # @param req [String] (nil)
      # @param ref [String] (nil)
      # @return [void]
      def initialize(val:, req: nil, ref: nil)
        @id = "I08"
        @name = "Interchange Date"
        @description = "Date of the interchange"
        self.fmt = :yymmdd
        super(
          min: 6,
          max: 6,
          req: req,
          ref: ref,
          val: val,
        )
      end
    end
  end
end
